1

[alpine-aports] [PATCH] main/aspell-ru: new aport

Valery Kartel
Details
Message ID
<1446120647-7789-1-git-send-email-valery.kartel@gmail.com>
Sender timestamp
1446120647
DKIM signature
missing
Download raw message
Patch: +28 -0
---
 main/aspell-ru/APKBUILD | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)
 create mode 100644 main/aspell-ru/APKBUILD

diff --git a/main/aspell-ru/APKBUILD b/main/aspell-ru/APKBUILD
new file mode 100644
index 0000000..6a1ae80
--- /dev/null
+++ b/main/aspell-ru/APKBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Valery Kartel <valery.kartel@gmail.com>
+pkgname=aspell-ru
+pkgver=0.99f7
+pkgrel=0
+pkgdesc="Russian dictionary for aspell"
+url="http://aspell.net/"
+arch="noarch"
+license="GPL2"
+depends="aspell"
+makedepends="aspell-dev"
+source="ftp://ftp.gnu.org/gnu/aspell/dict/ru/aspell6-ru-$pkgver-1.tar.bz2"
+
+_builddir="$srcdir"/aspell6-ru-$pkgver-1
+build () {
+	cd "$_builddir"
+	./configure \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="c4c98eaa5e77ad3adccbc5c96cb57cb3  aspell6-ru-0.99f7-1.tar.bz2"
+sha256sums="5c29b6ccce57bc3f7c4fb0510d330446b9c769e59c92bdfede27333808b6e646  aspell6-ru-0.99f7-1.tar.bz2"
+sha512sums="789fe15f5502b54008a41f2afb5635dcb7bb0a36e61b300ee48b2429c339793f5c4808d6063f13f1f8455ce251912433890e7d01ca59d8b0924ecd2987ceb430  aspell6-ru-0.99f7-1.tar.bz2"
-- 
2.6.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Isaac Dunham
Details
Message ID
<20151030014021.GA372@newbook>
In-Reply-To
<1446120647-7789-1-git-send-email-valery.kartel@gmail.com> (view parent)
Sender timestamp
1446169221
DKIM signature
missing
Download raw message
On Thu, Oct 29, 2015 at 02:10:47PM +0200, Valery Kartel wrote:
> ---
>  main/aspell-ru/APKBUILD | 28 ++++++++++++++++++++++++++++
>  1 file changed, 28 insertions(+)
>  create mode 100644 main/aspell-ru/APKBUILD
> 

Please move all your new aports to testing/.

Nothing goes into main/ until it's been submitted to testing/, someone
tests the packages from the build server and says it works, every
dependency and build dependency is in main/, and the maintainer is ready
to support the release series for 2 years.

There's actually a lot of talk about moving a bunch of stuff to community/
from main/ right now, FWIW.


Thanks,
Isaac Dunham


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---